Bug 19385 - PROPERTY : Throws NPE, for properties shown of a deleted connection
PROPERTY : Throws NPE, for properties shown of a deleted connection
Status: CLOSED FIXED
Product: db
Classification: Unclassified
Component: Code
3.x
Sun Solaris
: P4 (vote)
: 3.x
Assigned To: Radko Najman
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-11 20:23 UTC by Sakthivel Gopal
Modified: 2003-06-30 17:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sakthivel Gopal 2002-01-11 20:23:58 UTC
Have the Properties dialog open from View -> Properties.
Make a Database connection, the properties dialog shows properties for the
connection.
Right click on the connection & delete the connection.
Properties dialog is not reset & properties for the deleted connection are still
shown.
Click on any of these properties, it throws NPE
Fri Jan 11 12:17:07 PST 2002: java.lang.NullPointerException: <no message>
Annotation: Invalid value. The property Batch updates could not be set. Reason:
null
java.lang.NullPointerException
        at sun.beans.editors.BoolEditor.getAsText(BoolEditor.java:33)
        at
org.openide.explorer.propertysheet.PropertyPanel.getWriterComponent(PropertyPanel.java:904)
        at
org.openide.explorer.propertysheet.PropertyPanel.setWriteState(PropertyPanel.java:434)
[catch] at
org.openide.explorer.propertysheet.PropertyPanel$5.run(PropertyPanel.java:1654)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:154)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:337)
        at
java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:131)
        at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:98)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:85)
Comment 1 Radko Najman 2002-03-14 10:26:34 UTC
This happened only if the connection node is "connected". If the
connection to the database is closed and the delete action is called
after it the properties window is reset.

Delete action should be enabled on "disconnected" node only.
Comment 2 Radko Najman 2002-03-21 11:21:39 UTC
Fixed. Delete action is now enabled on "disconnected" node only.

In the future it should be enabled on "connected" node too and user
should be ask if s/he wants to close the connection before the delete
action. If not, the connection node will not be deleted. To delete
"connected" connection node without disconectiong isn't much clear.
(Will be investigated for new database module based on MDR)
Comment 3 David Kaspar 2002-11-18 15:11:44 UTC
Verified in main trunk
Comment 4 Quality Engineering 2003-06-30 17:17:38 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo